aboutsummaryrefslogtreecommitdiff
path: root/src/pptpd/pptpd
diff options
context:
space:
mode:
Diffstat (limited to 'src/pptpd/pptpd')
-rwxr-xr-xsrc/pptpd/pptpd35
1 files changed, 35 insertions, 0 deletions
diff --git a/src/pptpd/pptpd b/src/pptpd/pptpd
new file mode 100755
index 0000000..08c4de4
--- /dev/null
+++ b/src/pptpd/pptpd
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Starting PPTP Daemon"
+ pptpd -c /etc/pptpd.conf -p /var/run/pptpd.pid
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon pptpd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping PPTP Daemon"
+ kill `cat /var/run/pptpd.pid`
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon pptpd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 3
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac